> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark Unread

> Mark a thread as unread.



## OpenAPI

````yaml post /email/threads/{thread_id}/unread
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /email/threads/{thread_id}/unread:
    post:
      tags:
        - provider
        - email
      summary: Mark Unread
      description: Mark a thread as unread.
      operationId: mark_unread_email_threads__thread_id__unread_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: thread_id
          in: path
          required: true
          schema:
            type: string
            title: Thread Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThreadActionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ThreadActionResponse:
      properties:
        success:
          type: boolean
          title: Success
        threadId:
          type: string
          title: Threadid
        action:
          type: string
          title: Action
        newValue:
          type: boolean
          title: Newvalue
      type: object
      required:
        - success
        - threadId
        - action
        - newValue
      title: ThreadActionResponse
      description: Response for thread actions (star, archive, etc.).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````